osl::move_probability::BlockLongFrom Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::BlockLongFrom:

## Public Types

enum | { DIM = BlockLong::LongAttackSize }

## Public Member Functions

| BlockLongFrom ()
double | match (const StateInfo &state, const MoveInfo &move, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Static Public Member Functions

static double | findAll (const StateInfo &state, Move move, const double *w, int offset=0)
Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 781 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 784 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## BlockLongFrom()

osl::move_probability::BlockLongFrom::BlockLongFrom | ( |  | ) |

inline

Definition at line 787 of file move_probability/feature.h.

References DIM, and osl::move_probability::Feature::Feature().

## Member Function Documentation

## findAll()

double osl::move_probability::BlockLongFrom::findAll | ( | const StateInfo & | state,
|  | Move | move,
|  | const double * | w,
|  | int | offset = 0 )

inline static

Definition at line 790 of file move_probability/feature.h.

References osl::move_probability::BlockLong::findAll(), osl::Move::from(), and osl::Move::player().

Referenced by match().

## match()

double osl::move_probability::BlockLongFrom::match | ( | const StateInfo & | state,
|  | const MoveInfo & | move,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 796 of file move_probability/feature.h.

References findAll(), osl::Move::isDrop(), and osl::move_probability::MoveInfo::move.

The documentation for this class was generated from the following file:

- move_probability/feature.h